Opened 5 weeks ago

Closed 5 weeks ago

#22623 closed defect (fixed)

New compression options require pkg-config

Reported by: teor Owned by: nickm
Priority: Medium Milestone: Tor: 0.3.1.x-final
Component: Core Tor/Tor Version: Tor: 0.3.1.1-alpha
Severity: Normal Keywords: release-doc, new-dependency
Cc: Actual Points:
Parent ID: Points: 0.2
Reviewer: Sponsor:

Description

Previously, tor only required pkg-config to build with systemd support. So only Linux distributions with systemd needed to worry about pkg-config.

Now the compression options also require pkg-config, making it a new dependency on a significant number of platforms.

We need to put this in the release announcement.

See:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=219864#c1

Child Tickets

Change History (2)

comment:1 Changed 5 weeks ago by nickm

  • Owner set to nickm
  • Status changed from new to accepted

comment:2 Changed 5 weeks ago by nickm

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.